Desktop Beta

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
POST
GET
POST

List all org organizations desktop beta terms

Required API key scopes

organization:read

Response


Example request

GET /api/organizations/:organization_id/desktop_beta_terms
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/organizations/:organization_id/desktop_beta_terms/

Example response

Status 200
RESPONSE
{
"is_desktop_beta_terms_accepted": true
}

Create org organizations desktop beta terms

Required API key scopes

organization:write

Response


Example request

POST /api/organizations/:organization_id/desktop_beta_terms
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/organizations/:organization_id/desktop_beta_terms/

Example response

Status 200
RESPONSE
{
"is_desktop_beta_terms_accepted": true
}

List all desktop beta terms

Required API key scopes

organization:read

Response


Example request

GET /api/projects/:project_id/desktop_beta_terms
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/desktop_beta_terms/

Example response

Status 200
RESPONSE
{
"is_desktop_beta_terms_accepted": true
}

Create desktop beta terms

Required API key scopes

organization:write

Response


Example request

POST /api/projects/:project_id/desktop_beta_terms
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/desktop_beta_terms/

Example response

Status 200
RESPONSE
{
"is_desktop_beta_terms_accepted": true
}